
Foreman - Refactor #2038

Refresh kickstart template for EL6, F17+

12/12/2012 08:45 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee:    

Category: Templates   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The default kickstart template could do with a refresh so it uses more modern system defaults, e.g.

LVM, ext4

or autopart for some OS version agnostic defaults?

%end markers

`services --disabled=`

remove --enablemd5 from authconfig (use SHA-2)

And the pxelinux template:

deprecated boot options, e.g. ksdevice= in F17/18

Associated revisions

Revision cb92c0be - 06/07/2013 03:53 AM - Dmitri Dolguikh 

Fixes #2038 - updated config and partition table templates using ones from the community repository

Revision 9e03f771 - 06/07/2013 04:59 AM - Dmitri Dolguikh 

Fixes #2038 - updated config and partition table templates using ones from the community repository

(cherry picked from commit cb92c0be69a00142158d884e05097b47d20480da)

History

#1 - 01/02/2013 10:21 AM - Dominic Cleal

The release number of the EPEL RPM occasionally changes, so instead of installing it with an exact URL, add a repo and install epel-release in

%packages, e.g.

repo --name="Extra Packages for Enterprise Linux" --baseurl="http://ftp.nluug.nl/pub/os/Linux/distr/fedora-epe

l/6/x86_64/"

 (suggestion from Ewould)

#2 - 02/27/2013 01:49 PM - Brian Rak

ksdevice is still useful in EL6, it probably shouldn't be removed from that.

#3 - 05/23/2013 06:03 PM - Dominic Cleal

- Status changed from New to Assigned

- Target version set to 1.2.0

- Assignee changed from Dominic Cleal to Anonymous

#4 - 05/24/2013 09:48 AM - Anonymous

ready for testing: https://github.com/theforeman/foreman/pull/650

05/21/2024 1/2

https://github.com/theforeman/foreman/pull/650


#5 - 06/04/2013 01:04 PM - Dominic Cleal

https://github.com/theforeman/community-templates/pull/13 has been merged, the shipped templates should now be updated to match.  Don't migrate

existing ones, we should just refresh the defaults under app/views/unattended/ for newly migrated installs.

#6 - 06/05/2013 09:59 AM - Anonymous

ready for testing: https://github.com/theforeman/foreman/pull/694

#7 - 06/05/2013 10:03 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

#8 - 06/07/2013 04:17 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset cb92c0be69a00142158d884e05097b47d20480da.
